openSUSE Security Update : libpng14 (libpng14-4949)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update of libpng14-14 fixes :

- CVE-2011-2501: CVSS v2 Base Score: 5.0
(AV:N/AC:L/Au:N/C:N/I:N/A:P): Design Error
(CWE-DesignError)

- CVE-2011-2690: CVSS v2 Base Score: 5.1
(AV:N/AC:H/Au:N/C:P/I:P/A:P): Buffer Errors (CWE-119)

- CVE-2011-2691: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P): Other (CWE-Other)

- CVE-2011-2692: CVSS v2 Base Score: 5.0
(AV:N/AC:M/Au:N/C:N/I:N/A:P): Buffer Errors (CWE-119)

See also :

https://bugzilla.novell.com/show_bug.cgi?id=702578
https://bugzilla.novell.com/show_bug.cgi?id=706387
https://bugzilla.novell.com/show_bug.cgi?id=706388
https://bugzilla.novell.com/show_bug.cgi?id=706389

Solution :

Update the affected libpng14 packages.

Risk factor :

High / CVSS Base Score : 7.1
(CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 75604 ()

Bugtraq ID:

CVE ID: CVE-2008-6218
CVE-2009-5063
CVE-2011-2501
CVE-2011-2690
CVE-2011-2691
CVE-2011-2692

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now